[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDefCollection.create

Instantiate a new TDefCollection instance.

## Declaration

Source position: db.pas line 159

`public constructor TDefCollection.create(`
`ADataset: TDataSet;`
`AOwner: TPersistent;`
`AClass: TCollectionItemClass`
`);`

## Arguments

`ADataset` |  | Dataset to manage definitions for
`AOwner` |  | Owner of the items in the collection.
`AClass` |  | Item class for Add call.

## Description

Create saves the ADataset and AOwner components in local variables for later reference, and then calls the inherited Create with AClass as a parameter. AClass should at least be of type TNamedItem. ADataset is the dataset on whose behalf the collection is managed. AOwner is the owner of the collection, normally this is the form or datamodule on which the dataset is dropped.

## See also

TDataset |  | Base class for records-based data-access
TNamedItem |  | Named collection item

The latest version of this document can be found at lazarus-ccr.sourceforge.net.